CanvasGraphInternal::SubDocument Class Reference documentation

CanvasGraphInternal::SubDocument Class Referencefinal

Internal: the subdocument of a CanvasGraph. More...

Inheritance diagram for CanvasGraphInternal::SubDocument:

## Public Member Functions
| SubDocument (CanvasGraph &parser, MWAWInputStreamPtr const &input, int zoneId)
| constructor from a zoneId
| SubDocument (CanvasGraph &parser, MWAWInputStreamPtr const &input, librevenge::RVNGString const &measure)
| constructor from string
| ~SubDocument () final
| destructor
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!=
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator
virtual | ~MWAWSubDocument ()
| virtual destructor
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator==

## Protected Attributes
CanvasGraph & | m_graphParser
| the graph parser
int | m_id
| the subdocument id
librevenge::RVNGString | m_measure
| the measure
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser
std::shared_ptr< MWAWInputStream > | m_input
| the input
MWAWEntry | m_zone
| if valid the zone to parse

## Private Member Functions
| SubDocument (SubDocument const &orig)=delete
SubDocument & | operator= (SubDocument const &orig)=delete

## Detailed Description

Internal: the subdocument of a CanvasGraph.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/3]

CanvasGraphInternal::SubDocument::SubDocument | ( | CanvasGraph & | parser,
|  | MWAWInputStreamPtr const & | input,
|  | int | zoneId )
| inline

constructor from a zoneId

Referenced by operator!=(), operator=(), and SubDocument().

## ◆ SubDocument() [2/3]

CanvasGraphInternal::SubDocument::SubDocument | ( | CanvasGraph & | parser,
|  | MWAWInputStreamPtr const & | input,
|  | librevenge::RVNGString const & | measure )
| inline

constructor from string

## ◆ ~SubDocument()

CanvasGraphInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## ◆ SubDocument() [3/3]

CanvasGraphInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ operator!=()

bool CanvasGraphInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| inlinefinalvirtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ operator=()

SubDocument & CanvasGraphInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |
| privatedelete

## ◆ parse()

void CanvasGraphInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type )
| finalvirtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_graphParser

CanvasGraph& CanvasGraphInternal::SubDocument::m_graphParser
| protected

the graph parser

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## ◆ m_id

int CanvasGraphInternal::SubDocument::m_id
| protected

the subdocument id

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## ◆ m_measure

librevenge::RVNGString CanvasGraphInternal::SubDocument::m_measure
| protected

the measure

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

The documentation for this class was generated from the following file:

- CanvasGraph.cxx